This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1014728 - [RFE] Expand SAM/Splice Reporting to include custom reports
[RFE] Expand SAM/Splice Reporting to include custom reports
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: Splice (Show other bugs)
1.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Tom McKay
mkovacik
: FutureFeature
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2013-10-02 11:45 EDT by Rich Jerrido
Modified: 2016-03-10 22:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-10 22:30:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Jerrido 2013-10-02 11:45:11 EDT
Description of problem:

This BZ is a request to expand the amount of data that is exposed via the Enhanced Reporting functionality in SAM. Currently, the 'Red Hat Default Report' includes the following items:

Hostname,System ID, Status (subscription status), Satellite Server, Organization, Check-In Time, & Lifecycle state. 

To be more effective with our customer base, we'd like to expand that report to include:

* socket|core count
* SLA 
* contract #
* registration/creation time. 
* start/end date of subscription
* Subscription(s) name/type,
* guests (if it is a sub with a bonus pool with it)

A report such as what is envisioned above will both give the customer the level of detail that they require for both internal audits as well as renewals.

Version-Release number of selected component (if applicable):
1.3


Additional info:

If possible, the requested report should be configurable, so that the end-user can pick which fields go into the report.

Note You need to log in before you can comment on or make changes to this bug.